## EEmoticonToolButton EEmoticonToolButton |

## Synopsis

    struct              EEmoticonToolButton;
    GtkToolItem *       e_emoticon_tool_button_new          (void);
    void                e_emoticon_tool_button_popup        (EEmoticonToolButton *button);
    void                e_emoticon_tool_button_popdown      (EEmoticonToolButton *button);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkToolItem
                                     +----GtkToolButton
                                           +----GtkToggleToolButton
                                                 +----EEmoticonToolButton

## Implemented Interfaces

EEmoticonToolButton implements AtkImplementorIface, GtkBuildable, GtkActivatable, GtkActionable and EEmoticonChooser.

## Properties

      "popup-shown"              gboolean              : Read / Write

## Signals

      "popdown"                                        : Action
      "popup"                                          : Action

## Description

## Details

### struct EEmoticonToolButton

    struct EEmoticonToolButton;

### e_emoticon_tool_button_new ()

    GtkToolItem *       e_emoticon_tool_button_new          (void);

### e_emoticon_tool_button_popup ()

    void                e_emoticon_tool_button_popup        (EEmoticonToolButton *button);

### e_emoticon_tool_button_popdown ()

    void                e_emoticon_tool_button_popdown      (EEmoticonToolButton *button);

## Property Details

### The `"popup-shown"` property

      "popup-shown"              gboolean              : Read / Write

Whether the button's dropdown is shown.

Default value: FALSE

## Signal Details

### The `"popdown"` signal

    void                user_function                      (EEmoticonToolButton *eemoticontoolbutton,
                                                            gpointer             user_data)                : Action

### The `"popup"` signal

    void                user_function                      (EEmoticonToolButton *eemoticontoolbutton,
                                                            gpointer             user_data)                : Action